clang-tools 10.0.0

Namespaces | Functions
FileIndexTests.cpp File Reference
`#include "AST.h"`
`#include "Annotations.h"`
`#include "Compiler.h"`
`#include "ParsedAST.h"`
`#include "SyncAPI.h"`
`#include "TestFS.h"`
`#include "TestTU.h"`
`#include "index/CanonicalIncludes.h"`
`#include "index/FileIndex.h"`
`#include "index/Index.h"`
`#include "clang/Frontend/CompilerInvocation.h"`
`#include "clang/Frontend/Utils.h"`
`#include "clang/Index/IndexSymbol.h"`
`#include "clang/Lex/Preprocessor.h"`
`#include "clang/Tooling/CompilationDatabase.h"`
`#include "gmock/gmock.h"`
`#include "gtest/gtest.h"`
Include dependency graph for FileIndexTests.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
| MATCHER_P (RefRange, Range, "")
| MATCHER_P (FileURI, F, "")
| MATCHER_P (DeclURI, U, "")
| MATCHER_P (DefURI, U, "")
| MATCHER_P (QName, N, "")
| MATCHER_P (NumReferences, N, "")
| MATCHER_P (hasOrign, O, "")

## Function Documentation

## ◆ MATCHER_P() [1/7]

MATCHER_P | ( | RefRange | ,
|  | Range | ,
|  | "" |
| ) |  |

Definition at line 35 of file FileIndexTests.cpp.

References Range.

## ◆ MATCHER_P() [2/7]

MATCHER_P | ( | FileURI | ,
|  | F | ,
|  | "" |
| ) |  |

Definition at line 41 of file FileIndexTests.cpp.

## ◆ MATCHER_P() [3/7]

MATCHER_P | ( | DeclURI | ,
|  | U | ,
|  | "" |
| ) |  |

Definition at line 42 of file FileIndexTests.cpp.

## ◆ MATCHER_P() [4/7]

MATCHER_P | ( | DefURI | ,
|  | U | ,
|  | "" |
| ) |  |

Definition at line 45 of file FileIndexTests.cpp.

## ◆ MATCHER_P() [5/7]

MATCHER_P | ( | QName | ,
|  | N | ,
|  | "" |
| ) |  |

Definition at line 48 of file FileIndexTests.cpp.

## ◆ MATCHER_P() [6/7]

MATCHER_P | ( | NumReferences | ,
|  | N | ,
|  | "" |
| ) |  |

Definition at line 49 of file FileIndexTests.cpp.

## ◆ MATCHER_P() [7/7]

MATCHER_P | ( | hasOrign | ,
|  | O | ,
|  | "" |
| ) |  |

Definition at line 50 of file FileIndexTests.cpp.

References clang::clangd::RefsAre(), and clang::clangd::symbol().